Quantcast

Build dfu-util for Windows

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Build dfu-util for Windows

Satz Klauer
Hi,

according to http://wiki.openmoko.org/wiki/Dfu-util-windows#Porting_dfu-util_to_Windows
I tried to compile dfu-util for Windows. Unfortunately it seems like
it expects libusb1 while libusb-win32 seems to support API version 1.0
only.

So what did I miss here: are there some modifications necessary to let
dfu-util compile with the current libusb-win32 or do I have to use an
older version of dfu-util which makes use of libusb0?

Elmi

_______________________________________________
devel mailing list
[hidden email]
https://lists.openmoko.org/mailman/listinfo/devel
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Build dfu-util for Windows

Tormod Volden
On Thu, Nov 10, 2011 at 8:10 AM, Satz Klauer <[hidden email]> wrote:

> Hi,
>
> according to http://wiki.openmoko.org/wiki/Dfu-util-windows#Porting_dfu-util_to_Windows
> I tried to compile dfu-util for Windows. Unfortunately it seems like
> it expects libusb1 while libusb-win32 seems to support API version 1.0
> only.
>
> So what did I miss here: are there some modifications necessary to let
> dfu-util compile with the current libusb-win32 or do I have to use an
> older version of dfu-util which makes use of libusb0?

Hi Elmi,

As far as I understand, libusb-win32 only supports 0.1 so far, but
libusb itself is getting win32 support in the 1.0.9 version (you can
try a release candidate). See this post for more info:

http://sourceforge.net/mailarchive/message.php?msg_id=28174260

Hope this helps,
Tormod

>
> Elmi
>

_______________________________________________
devel mailing list
[hidden email]
https://lists.openmoko.org/mailman/listinfo/devel
Loading...